dnl  RELAYTOOL("gtkspell", GTKSPELL_LIBS, GTKSPELL_CFLAGS, gtkspell_weak=yes)
dnl  Will modify GTKSPELL_LIBS to include a call to relaytool if available
dnl  or if not, will modify GTKSPELL_CFLAGS to include -D switches to define
dnl  libgtkspell_is_present=1 and libgtkspell_symbol_is_present=1

AC_DEFUN([RELAYTOOL], [
    if test -z "$RELAYTOOL_PROG"; then
        AC_PATH_PROG(RELAYTOOL_PROG, relaytool, no)
    fi

    AC_MSG_CHECKING(whether we can weak link $1)
        
    if test "$RELAYTOOL_PROG" = "no"; then
        AC_MSG_RESULT(no)
        $3="-Dlib$1_is_present -D\"lib$1_symbol_is_present(sym)=1\" $$3"
    else
        AC_MSG_RESULT(yes)
        $2="\`relaytool --relay $1 $$2\`"
        $4
    fi
])
